Bug 140108 - (IT_55005) handling of duplicate indirect map entries has changed
handling of duplicate indirect map entries has changed
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: autofs (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeffrey Moyer
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-19 15:00 EST by Kevin Krafthefer
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version: RHBA-2005-178
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-19 18:05:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Krafthefer 2004-11-19 15:00:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041020
Firefox/0.10.1

Description of problem:
In autofs 3 if there were multiple entries for the same key in an
indirect map, the FIRST entry was used.  In autofs 4, in the case of
these duplicate entries, the LAST entry is used.  This change is
causing users problems as they have come to rely on the autofs 3
behaviour, which is the same as Solaris and HP-UX.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. set up indirect maps with multiple entries for the same key
2. check which entry gets used
3.
    

Actual Results:  The first entry is used

Expected Results:  The last entry is used

Additional info:
Comment 1 Jeffrey Moyer 2004-11-19 18:40:42 EST
Could you please include the auto.master and associated map files?  It would
help me greatly to know how you've come to have a duplicate key in your indirect
map.
Comment 2 Kevin Krafthefer 2004-11-22 11:03:48 EST
auto.master
------------------
/home           /etc/auto.home

auto.home
----------------
wylie           ultrasky:/users/wylie
wylie           osslinux:/osslinux/wylie

With autofs 3, /home/wylie would come from the first mount, i.e.
ultrasky:/users/wylie.
With autofs 4, /home/wylie would come from the last mount, i.e.
osslinux:/osslinux/wylie

The number of entries does not seem to matter.  If there are 3
entries, it is still the first and the last respectively.
Comment 3 Jeffrey Moyer 2004-11-22 11:10:36 EST
Let me be a little more clear.  I don't want a contrived reproducer. 
I want to know how in the world a customer (mis)configured autofs to
elucidate this problem.
Comment 6 Brian Long 2004-12-13 09:09:16 EST
I have this same issue in the Cisco Engineering environment.  We have
a suite of scripts used to configure automounter per machine.  If a
file called /etc/auto.indirect.local exists, it is preprended to the
/etc/auto.indirect file.  This allows for local override of the
default auto.indirect entry.

autofs4 in RHEL 3 U3 changed this behavior.  Is there a way to
configure autofs4 to use the old behavior?
Comment 9 Brian Long 2005-02-09 11:39:00 EST
What is the status of this?  Has a patch been applied to the U5 kernel
to return to the old behavior?
Comment 10 Jeffrey Moyer 2005-02-09 11:40:47 EST
This is not a kernel bug, it is a bug in the autofs user space package.  I have
a patch that I am testing, and it is on target for U5.
Comment 11 Brian Long 2005-02-09 13:04:41 EST
Thanks Jeff.  If you want help testing, feel free to publish the RPM
and I'll install it on a few machines.
Comment 12 Jeffrey Moyer 2005-03-01 16:39:28 EST
A fix for this has been committed to the RHEL 3 update pool.  The
package with this fix is autofs-4.1.3-104.
Comment 15 Dennis Gregorovic 2005-05-19 18:05:44 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-177.html

Note You need to log in before you can comment on or make changes to this bug.